/**
 * Ext GWT 3.0.0-rc2 - Ext for GWT
 * Copyright(c) 2007-2012, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktopapp.client.spreadsheet;

import com.sencha.gxt.desktopapp.client.DesktopBus;
import com.sencha.gxt.desktopapp.client.FileBasedMiniAppPresenterImpl;
import com.sencha.gxt.desktopapp.client.persistence.FileModel;
import com.sencha.gxt.desktopapp.client.persistence.FileSystem;

// TODO: Move non-view function from view to presenter

public class SpreadsheetPresenterImpl extends FileBasedMiniAppPresenterImpl implements SpreadsheetPresenter {

  public SpreadsheetPresenterImpl(DesktopBus desktopBus, FileSystem fileSystem, FileModel fileModel) {
    super(desktopBus, fileSystem, fileModel);
  }

  @Override
  public void onColumnCountChange(int value) {
    getSpreadsheetView().onColumnCountChange(value);
  }

  @Override
  public void onRowCountChange(int value) {
    getSpreadsheetView().onRowCountChange(value);
  }

  @Override
  public void onUpdateSelectedValues(String value) {
    getSpreadsheetView().onUpdateSelectedValues(value);
  }

  @Override
  protected SpreadsheetViewImpl createFileBasedMiniAppView() {
    return new SpreadsheetViewImpl(this);
  }

  protected SpreadsheetView getSpreadsheetView() {
    return (SpreadsheetView) super.getFileBasedMiniAppView();
  }

  @Override
  protected String getTitle() {
    return "Spreadsheet - " + super.getTitle();
  }

  @Override
  public void onOpenChart() {
    Worksheet worksheet = getSpreadsheetView().getWorksheet();
    SpreadsheetChartPresenter spreadsheetChartPresenter = new SpreadsheetChartPresenterImpl();
    spreadsheetChartPresenter.go(null);
    spreadsheetChartPresenter.display(worksheet);
  }

}
